=== plugins/Observability/CMakeLists.txt ===
SET(OBSERVABILITY_VERSION "1.2.2")

IF(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ELSE(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DOBSERVABILITY_PLUGIN_VERSION="${OBSERVABILITY_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Observability")
