=== debian/changelog ===
stellarium (0.14.0-1) unstable; urgency=medium

  * Imported Upstream version 0.14.0 (Closes: #803568)
  * d/patches: drop patches
  * d/source.lintian-overrides: temporary override for minified js

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 01 Nov 2015 14:34:04 +0100
