## stellarium 0.14.1

=== debian/changelog ===
stellarium (0.14.1-2) unstable; urgency=medium

  * d/control: drop qtquick dependencies (Closes: #808698)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 22 Dec 2015 12:42:20 +0100

stellarium (0.14.1-1) unstable; urgency=medium

  * Imported Upstream version 0.14.1

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 02 Dec 2015 18:42:23 +0100
