=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper (>= 9),
                doxygen,
                libqt5opengl5-dev (>= 5.3),
+               libqt5serialport5-dev (>= 5.3),
                mesa-common-dev,
                qtbase5-dev (>= 5.3),
                qtdeclarative5-dev (>= 5.3),
                qtdeclarative5-dev-tools (>= 5.3),
-               qtquick1-5-dev (>= 5.3),
                qtscript5-dev (>= 5.3),
                qttools5-dev (>= 5.3),
                qttools5-dev-tools (>= 5.3),
@@ -23,8 +23,7 @@
 
 Package: stellarium
 Architecture: any
-Depends: qtquick1-qml-plugins (>= 5.3),
-         stellarium-data (= ${source:Version}),
+Depends: stellarium-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: real-time photo-realistic sky generator
