## stellarium 0.14.2

=== debian/changelog ===
stellarium (0.14.2-1) unstable; urgency=medium

  * Imported Upstream version 0.14.2

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 10 Jan 2016 21:42:18 +0100
