## stellarium 0.14.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,10 +20,10 @@
 PROJECT(Stellarium)
 SET(STELLARIUM_MAJOR "0")
 SET(STELLARIUM_MINOR "14")
-SET(STELLARIUM_PATCH "0")
+SET(STELLARIUM_PATCH "3")
 SET(VERSION "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}.${STELLARIUM_PATCH}")
 SET(PACKAGE stellarium)
-SET(COPYRIGHT_YEARS "2000-2015")
+SET(COPYRIGHT_YEARS "2000-2016")
 
 SET(PACKAGE_VERSION "${VERSION}")
 ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")
@@ -129,9 +129,9 @@
      ADD_DEFINITIONS(-DENABLE_NLS)
 ENDIF()
 
-SET(RELEASE_BUILD 1 CACHE BOOL "Flag this build as an official release.")
-IF(RELEASE_BUILD)
-     ADD_DEFINITIONS(-DRELEASE_BUILD)
+SET(STELLARIUM_RELEASE_BUILD 1 CACHE BOOL "Flag this build as an official release.")
+IF(STELLARIUM_RELEASE_BUILD)
+     ADD_DEFINITIONS(-DSTELLARIUM_RELEASE_BUILD)
 ENDIF()
 
 # Activate sound support
@@ -149,7 +149,7 @@
 ENDIF()
 
 
-SET(GUI_MODE Standard CACHE STRING "Choose the type of GUI to build, options are: Standard, None")
+SET(STELLARIUM_GUI_MODE Standard CACHE STRING "Choose the type of GUI to build, options are: Standard, None")
 
 SET(GENERATE_PACKAGE_TARGET 1 CACHE BOOL "Set to 1 or true if you want to have make package target")
 
@@ -222,6 +222,9 @@
 FIND_PACKAGE(Qt5Network REQUIRED)
 FIND_PACKAGE(Qt5OpenGL REQUIRED)
 FIND_PACKAGE(Qt5Widgets REQUIRED)
+IF(USE_PLUGIN_TELESCOPECONTROL)
+     FIND_PACKAGE(Qt5SerialPort REQUIRED)
+ENDIF()
 IF(WIN32)
      FIND_PACKAGE(Qt5Sql REQUIRED)
      FIND_PACKAGE(Qt5XmlPatterns REQUIRED)
@@ -275,39 +278,37 @@
 ENDIF()
 
 ########### Get revision number for non-release builds ###########
-IF(NOT RELEASE_BUILD)
+IF(NOT STELLARIUM_RELEASE_BUILD)
     #Hack until CMake detection for Bazaar is finished
     IF(BZR_REVISION)
         SET(PACKAGE_VERSION "bzr${BZR_REVISION}")
         ADD_DEFINITIONS(-DBZR_REVISION="${BZR_REVISION}")
     ENDIF()
-    IF(DEV_VERSION)
-        ADD_DEFINITIONS(-DDEV_VERSION="${DEV_VERSION}")
-    ENDIF()
-ENDIF()
-
-CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/data/stellarium.exe.manifest.cmake ${CMAKE_SOURCE_DIR}/data/stellarium.exe.manifest @ONLY)
-
-### [Optional] Embed icon in the Windows executable ###
+    IF(STELLARIUM_VERSION)
+        SET(PACKAGE_VERSION "${STELLARIUM_VERSION}")
+        ADD_DEFINITIONS(-DSTELLARIUM_VERSION="${STELLARIUM_VERSION}")
+    ENDIF()
+ENDIF()
+
+
 IF(WIN32)
+    #######################################################
+    ### Generate a VersionInfo file                     ###
+    #######################################################
+
+    IF(STELLARIUM_RELEASE_BUILD)
+       SET(PACKAGE_VERSION_RC "${PACKAGE_VERSION},0")
+    ELSE()
+       SET(PACKAGE_VERSION_RC "${PACKAGE_VERSION}")
+    ENDIF()
+    STRING(REGEX REPLACE "([.]+)" "," PACKAGE_VERSION_RC ${PACKAGE_VERSION_RC})
+    CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/data/stellarium.rc.cmake ${CMAKE_SOURCE_DIR}/data/stellarium.rc @ONLY)
+
+    #######################################################
+    ### [Optional] Embed icon in the Windows executable ###
+    #######################################################
+
     SET(ENABLE_WINDOWS_EXE_ICON 1 CACHE BOOL "Determine if it should try to embed the Stellarium icon in the Windows .exe file")
     IF(ENABLE_WINDOWS_EXE_ICON AND NOT RC_COMPILER_PATH)
         IF(NOT MSVC)
             #The mingGW snapshot distributed with the Qt SDK has it under this name.
-            SET(RC_COMPILER_FILENAME "windres.exe")
-            FIND_FILE(RC_COMPILER_PATH ${RC_COMPILER_FILENAME})
-        ENDIF()
-        IF(RC_COMPILER_PATH)
-            MESSAGE(STATUS "Found .rc compiler: ${RC_COMPILER_PATH}")
-        ENDIF(RC_COMPILER_PATH)
-    ENDIF(ENABLE_WINDOWS_EXE_ICON AND NOT RC_COMPILER_PATH)
-ENDIF()
-
-### Generate an Inno Setup project file ###
-IF(WIN32)
-    # Try to guess the MinGW /bin directory...
-    GET_FILENAME_COMPONENT(MINGW_BIN_DIRECTORY ${CMAKE_CXX_COMPILER} PATH)
-    IF("${CMAKE_SIZEOF_VOID_P}" EQUAL "4")
-        SET(ISS_ARCHITECTURE_SPECIFIC ";In the 64-bit only version, this line switches the installer to 64-bit mode.")
-        SET(ISS_PACKAGE_PLATFORM "win32")
-        SET(REDIST_VERSION "VC_REDIST_X86")
