=== src/CMakeLists.txt ===
--- 
+++ 
@@ -283,7 +283,7 @@
 #############################################################################################
 ############################# Standard GUI plugin compilation ###############################
 #############################################################################################
-IF(GUI_MODE STREQUAL "Standard")
+IF(STELLARIUM_GUI_MODE STREQUAL "Standard")
      SET(stellarium_gui_SRCS
           gui/StelGui.hpp
           gui/StelGui.cpp
