=== stars/CMakeLists.txt ===
ADD_SUBDIRECTORY( default )
