=== debian/changelog ===
stellarium (0.14.3-1) unstable; urgency=medium

  * Imported Upstream version 0.14.3
  * Bumped standards version to 3.9.7 (no changes needed)
  * Removed menu file per tech-ctte decision in bug 741573
  * Fixed source lintian overrides which didn't work

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 25 Mar 2016 11:33:43 +0100
