=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                qttools5-dev (>= 5.3),
                qttools5-dev-tools (>= 5.3),
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.stellarium.org
 Vcs-Git: git://anonscm.debian.org/debian-astro/packages/stellarium.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/stellarium.git
