=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://sf.net/stellarium/stellarium-([0-9\.]*)\.tar\.gz
